<template>
  <div style="background-color:white">
    <!-- <span>{{height}}</span> -->
    <div id="detail" v-html="datas.text" v-loading="datas.loading" style="min-height:650px">
    </div>
  </div>
</template>

  <script setup lang="ts">
import { onMounted, reactive, ref, nextTick } from 'vue'
import { useRouter } from 'vue-router'
import { detail } from '/@/api/backend/enterprise/document'
const router = useRouter()
const height = ref(0)
const datas = reactive({
    text: '',
    loading: false,
})

const getDetail = () => {
    datas.loading = true

    let params = {
        id: router.currentRoute.value.query.id,
        operateType: router.currentRoute.value.query.operateType,
    }

    detail(params)
        .then((res) => {
            datas.text = res.data

        })
        .catch((msg) => {
            datas.loading = false
        })
}

onMounted(() => {
    getDetail()
    nextTick(()=>{
        datas.loading = false
    })
})
</script>

  <style  lang="scss">
img {
    display: inline-block;
    max-width: 100%;
}
video {
    width: 100%;
}
html,
body,
#app {
    overflow: auto !important;
    height: auto !important ;
}
body::-webkit-scrollbar {
    display: none;
}
</style>
